#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 5. File Systems and Disk Management

- Prev

  parted-3.6

- Next

  sshfs-3.7.3

- Up
- Home

# smartmontools-7.4

## Introduction to smartmontools

The smartmontools package contains utility programs (smartctl, smartd) to control/monitor storage systems using the Self-Monitoring, Analysis and Reporting Technology System (S.M.A.R.T.) built into most modern ATA and SCSI disks.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/smartmontools/smartmontools-7.4.tar.gz

- Download MD5 sum: 178d31a6ff5256c093227ab45a3f52aa

- Download size: 1 MB

- Estimated disk space required: 27 MB

- Estimated build time: 0.2 SBU

### smartmontools Dependencies

#### Optional (runtime)

cURL-8.12.1 or Lynx-2.9.2 or Wget-1.25.0 (download tools), and GnuPG-2.4.7 (encrypted hard disks)

## Installation of smartmontools

Install smartmontools by running the following commands:

    ./configure --prefix=/usr           \
                --sysconfdir=/etc       \
                --with-initscriptdir=no \
                --with-libsystemd=no    \
                --docdir=/usr/share/doc/smartmontools-7.4 &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--with-initscriptdir=no`: This switch suppresses the default initialization script. See below for the BLFS script.

`--with-libsystemd=no`: This switch disables support for the sd-notify notification system provided by systemd.

## Configuring smartmontools

### Config File

`/etc/smartd.conf`

### Configuration Information

See the embedded comments in `/etc/smartd.conf` for detailed instructions on customizing the smartd daemon.

### Boot Script

If you want the smartd daemon to start automatically when the system is booted, install the `/etc/rc.d/init.d/smartd` init script included in the blfs-bootscripts-20250225 package.

    make install-smartd

## Contents

Installed Programs: smartctl, smartd, and update-smart-drivedb
Installed Libraries: None
Installed Directories: /usr/share/smartmontools, /usr/share/doc/smartmontools-7.4, and /etc/smartd_warning.d

### Short Descriptions

smartctl | is the control and monitor utility for SMART Disks
smartd | is the SMART disk monitoring daemon
update-smart-drivedb | is the update tool for the smartmontools drive database

- Prev

  parted-3.6

- Next

  sshfs-3.7.3

- Up
- Home